Page MenuHomePhabricator

Cannot read property 'constructor' of null
Closed, ResolvedPublic

Description

Opening "FIFA World Cup top goalscorers" from English to Spanish gives following JS error, and source article is stuck loading forever.

jQuery.Deferred exception: Cannot read property 'constructor' of null TypeError: Cannot read property 'constructor' of null
    at Object.oo.cloneObject (<anonymous>:56:384)
    at VeDmHashValueStore.ve.dm.HashValueStore.hash (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.visualEditor.core%2Cdiffing%2Cmwcore%2Cswitching%7Cmediawiki.ui.button%7Coojs-ui-core&skin=vector&version=16qs44a:225:560)
    at Object.ve.dm.GeneratedContentNode.static.storeGeneratedContents (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.visualEditor.core%2Cdiffing%2Cmwcore%2Cswitching%7Cmediawiki.ui.button%7Coojs-ui-core&skin=vector&version=16qs44a:292:556)
    at Object.ve.dm.MWInlineImageNode.static.toDataElement (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.visualEditor.mwimage.core%7Cmediawiki.language.names&skin=vector&version=15xr2vl:10:198)
    at VeDmConverter.ve.dm.Converter.createDataElements (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.visualEditor.core%2Cdiffing%2Cmwcore%2Cswitching%7Cmediawiki.ui.button%7Coojs-ui-core&skin=vector&version=16qs44a:235:43)
    at VeDmConverter.ve.dm.Converter.getDataFromDomSubtree (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.visualEditor.core%2Cdiffing%2Cmwcore%2Cswitching%7Cmediawiki.ui.button%7Coojs-ui-core&skin=vector&version=16qs44a:241:563)
    at VeDmConverter.ve.dm.Converter.getDataFromDomSubtree (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.visualEditor.core%2Cdiffing%2Cmwcore%2Cswitching%7Cmediawiki.ui.button%7Coojs-ui-core&skin=vector&version=16qs44a:244:622)
    at VeDmConverter.ve.dm.Converter.getDataFromDomSubtree (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.visualEditor.core%2Cdiffing%2Cmwcore%2Cswitching%7Cmediawiki.ui.button%7Coojs-ui-core&skin=vector&version=16qs44a:244:622)
    at VeDmConverter.ve.dm.Converter.getDataFromDomSubtree (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.visualEditor.core%2Cdiffing%2Cmwcore%2Cswitching%7Cmediawiki.ui.button%7Coojs-ui-core&skin=vector&version=16qs44a:244:622)
    at VeDmConverter.ve.dm.Converter.getDataFromDomSubtree (http://cx2-testing.wmflabs.org/load.php?debug=false&lang=en&modules=ext.visualEditor.core%2Cdiffing%2Cmwcore%2Cswitching%7Cmediawiki.ui.button%7Coojs-ui-core&skin=vector&version=16qs44a:244:622) undefined

Event Timeline

Change 440996 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[VisualEditor/VisualEditor@master] Prevent null being treated as "object" with typeof operator

https://gerrit.wikimedia.org/r/440996

Deskana triaged this task as Medium priority.Jun 19 2018, 6:53 PM
Deskana edited projects, added VisualEditor (Current work); removed VisualEditor.
Deskana moved this task from Incoming to Code review on the VisualEditor (Current work) board.
Deskana added a project: ContentTranslation.

Change 440996 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] Prevent null being treated as "object" with typeof operator

https://gerrit.wikimedia.org/r/440996

Change 441184 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e72749663)

https://gerrit.wikimedia.org/r/441184

Change 441184 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (e72749663)

https://gerrit.wikimedia.org/r/441184

Deskana closed this task as Resolved.Jun 25 2018, 2:09 PM
Vvjjkkii renamed this task from Cannot read property 'constructor' of null to 82aaaaaaaa.Jul 1 2018, 1:04 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Petar.petkovic as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Petar.petkovic renamed this task from 82aaaaaaaa to Cannot read property 'constructor' of null.Jul 1 2018, 11:20 PM
Petar.petkovic closed this task as Resolved.
Petar.petkovic claimed this task.
Petar.petkovic lowered the priority of this task from High to Medium.
Petar.petkovic updated the task description. (Show Details)
Petar.petkovic added a subscriber: Aklapper.